Redmine - Defect #6078

Email notification not working at all
2010-08-09 00:45 - Stephan Senn

Status: Closed Start date: 2010-08-09
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 0.9.3
Description

The behavior is very strange. The test email is working correctly. But as soon as a user wants to add or edit an issue, she/he does

not get an email. I've figured out the problem:

The variable @recipients in "mailer.rb” does somehow not take over the array which is passed by issues.recipients. The funny thing
is if | define the variable @recipients just in place there let's say...

@recipients = "test@test.com”
or

@recipients = ["test1@test.com","test2@test.com"]

... then the email/s is/are sent. And it is getting more weird: If | dump the state of the variable @recipients after assignment, the array
is correctly assigned. So something must be fishy either with the reference of_ issues.recipients_ or what | think with the @recipients
instance class variable. Maybe the call for sending the email does not belong to the created instance class?!

At the moment | have no further idea how to solve this problem...

Associated revisions

Revision 4003 - 2010-08-19 17:41 - Azamat Hackimov

Translation updates for upcoming release

de (#6079)

es (#6021)

it (#6093)

nl (#6025)

ru

sr and sr-YU (sr is now serbian cyrillic, #6078)
sv (#6142)

History

#1 - 2010-08-09 03:49 - Nick Peelman

The user doesn't, by chance, have their preference set to not receive notifications for updates they make themselves?

#2 - 2010-08-26 00:33 - Eric Davis
- Assignee deleted (Martin Herr)

- Priority changed from Urgent to Normal

#3 - 2014-01-05 06:48 - Toshi MARUYAMA

- Status changed from New to Closed

This issue is too old.
Mail impletation changed in Rails3 porting.
